package bbuvajava;

import java.util.Date;

  
public class Movimiento {
    private Date fechaOperacion;
    private String concepto;
    private float importe;
    private String descripcion;

    public Movimiento () {
    }

    public Date getFechaOperacion() {
        return fechaOperacion;
    }

    public void setFechaOperacion(Date fechaOperacion) {
        this.fechaOperacion = fechaOperacion;
    }

    public String getConcepto() {
        return concepto;
    }

    public void setConcepto(String concepto) {
        this.concepto = concepto;
    }

    public float getImporte() {
        return importe;
    }

    public void setImporte(float importe) {
        this.importe = importe;
    }

    public String getDescripcion() {
        return descripcion;
    }

    public void setDescripcion(String descripcion) {
        this.descripcion = descripcion;
    }

    public String detalle(){
        String mensaje="\n\t  "+this.concepto+" : \n\n  Descripción: "+this.descripcion;
        mensaje+="\n  Importe:"+this.importe;
        if(this.concepto.equals("TransferenciaInterna")){
             TransferenciaInterna I;
             I=(TransferenciaInterna) this;
             mensaje+="\n  Cuenta Origen: ---->"+I.getOrigen();
             mensaje+="\n  Cuenta Destino: --->"+I.getDestino();
        }
        if(this.concepto.equals("TransferenciaExterna")){
             TransferenciaExterna E;
             E=(TransferenciaExterna) this;
             mensaje+="\n  Cuenta Origen: ---->"+E.getOrigen().getNumeroProducto();
             mensaje+="\n  Cuenta Destino:---->"+E.getDestino()+" Cuenta de otra Entidad.";
        }
        mensaje+="\n  Fecha: "+this.fechaOperacion;
        return mensaje;

    }

}

